//  Prueba de GRAPH y C

#include <stdlib.h>
#include <conio.h>
#include "GRFLIB.H"

int main(void)
{
 byte hdlpv, hmap, hblk;
 int num, ix, iy;
 dword coorx,coory;

 InicGRAPH(1,0);
 TrataError();
 hdlpv=CreaVirtual();
 TrataError();
 hmap=CargaMapa("ejemplo.map");
 TrataError();
 hblk=CargaBloque("ejemplo.blk");
 TrataError();
 coorx=coory=0;

 while(!kbhit())
  {
   num=random(100);
   ix=random(3)-1;
   iy=random(3)-1;
   while(--num>0)
    {
     coorx+=ix;
     coory+=iy;
     if(coorx>10000) coorx=0;
     if(coory>10000) coory=0;
     DibujaMapa(hdlpv,hmap,hblk,coorx,coory);
     CopiaPantalla(hdlpv,0);
     }
   }

 VaciaMEM();
 EndGRAPH();
 return 0;
 }
